@import "../../constants";

.pageContainer {
  height: 100vh;
  width: 100vw;
  display: grid;
  grid-template-rows: minmax(145px,15%) 1fr;
  grid-template-columns: 1fr;
  grid-template-areas: "header"
              "content";
}

.headerContainer {
  grid-area: header;
  background: #EBEBEB;
  box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.08), 0 4px 4px 0 rgba(0, 0, 0, 0.08);
  display: grid;
  grid-template-rows: minmax(57px,40%) minmax(48px, 32%) minmax(40px, 28%);
  grid-template-columns: 1fr;
  grid-template-areas: "topHeader"
  "buttonHeader"
  "tableHeader";
}

.header {
  grid-area: topHeader;
  display: flex;
  align-items: center;
  flex-direction: row;
  justify-content: space-between;

  > div {
    flex: 1;
    height: 100%;
  }

  .menu {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;

    img {
      max-height: 100%;
    }
  }

  .appStatus {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: flex-start;
    margin-top: 0.5rem;

    > div {
      display: flex;
      flex-direction: row;
      align-items: center;
      justify-content: flex-end;
      height: fit-content;
      min-width: fit-content;
      padding: 0 1rem;

      &:not(last-of-type) {
        border-right: groove 2px rgba(255, 255, 255, 0.4);
      }

      img {
        height: 100%;
        max-height: 1rem;
        margin: 0 0.25rem;
      }

      p {
        white-space: nowrap;
        font-size: 0.72rem;
        color: rgba(0,0,0,0.90);
        letter-spacing: 0.15px;
        text-align: right;
        line-height: 12px;
      }
    }
  }

}

.buttonHeader {
  grid-area: buttonHeader;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding: 0 1.25rem;

  .leftContainer, .rightContainer {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
  }
}

.tableHeader {
  border-top: groove 2px rgba(255, 255, 255, 0.4);
  grid-area: tableHeader;
  display: flex;
  flex-direction: row;
  align-items: center;

}

.date, .incidentType, .status {
  > p, label {
    padding: 0 0.625rem;
    font-weight: 600;
    color: $LABEL_TEXT;
    letter-spacing: 0.15px;
    line-height: 20px;
    font-size: 0.875rem;
  }
}

.date {
  flex: 1;
  padding-left: 1.5rem;
}

.incidentType {
  width: fit-content;
  border-left: groove 2px rgba(255, 255, 255, 0.4);
  border-right: groove 2px rgba(255, 255, 255, 0.4);
}

.status {
  flex: 5;
}

.buttonContainer {
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin: 0.5rem 0.3125rem;

  button {
    width: 3rem;
    height: 1.5rem;
    background: $OFF_WHITE;
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.30);
    border-radius: 5px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-evenly;

    > img {
      height: 1.125rem;
      width: 1.125rem;
    }

    > img:last-of-type {
      height: 0.875rem;
      width: 0.875rem;
    }
  }

  p {
    font-size: 0.625rem;
    font-weight: 500;
    color: $LABEL_TEXT;
    letter-spacing: 0.15px;
    text-align: center;
    line-height: 16px;
  }
}

.filterContainer {
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin-right: 0.5rem;

  .filterInputContainer {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 0.125rem 1rem;
    width: 15rem;
    background: $OFF_WHITE;
    box-shadow: 0 1px 2px 0 rgba(0, 0, 0, 0.30);
    border-radius: 3px;

    input {
      font-size: 0.875rem;
      color: $LABEL_TEXT;
      letter-spacing: 0.15px;
      line-height: 20px;
      border: none;
      background-color: transparent;
      width: 2rem;
    }
  }

  label {
    font-size: 0.625rem;
    font-weight: 500;
    color: $LABEL_TEXT;
    letter-spacing: 0.15px;
    text-align: center;
    line-height: 16px;
  }
}

.rotate {
  transform: rotate(90deg);
}

.filterIcon {
  height: 1rem;
  width: 1rem;
}
